Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Functions | Variables
mercator_projection.hpp File Reference
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/util.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <cmath>`
`#include <string>`
Include dependency graph for mercator_projection.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | osmium::geom::MercatorProjection

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::geom
| Everything related to geometry handling.

## Functions
Coordinates | osmium::geom::lonlat_to_mercator (const Coordinates &c)
Coordinates | osmium::geom::mercator_to_lonlat (const Coordinates &c)

## Variables
constexpr double | osmium::geom::MERCATOR_MAX_LAT = 85.0511288